package com.hzya.frame.u8c.bdCumandoc.entity;

import com.hzya.frame.web.entity.BaseEntity;

/**
 * (BdCumandoc)实体类-客商管理档案
 *
 * @author makejava
 * @since 2023-08-25 09:42:24
 */
public class BdCumandocEntity extends BaseEntity {

    private String accawmny;
    private String acclimit;
    private String acclimitcontrol;
    private String acclmtbegindate;
    private String balancemny;
    private String bp;
    private String busawmny;
    private String cmnecode;
    private String cooperateflag;
    private String cooperatingdayfrom;
    private String cooperatingdayto;
    private String correspsettleunit;
    private String createtime;
    private String creator;
    private String creditcontrol;
    private String creditlevel;
    private String creditlimitnum;
    private String creditmny;
    private String creditmoney;
    private Long credlimitflag;
    private String custflag;
    private Long custstate;
    private String def1;
    private String def10;
    private String def11;
    private String def12;
    private String def13;
    private String def14;
    private String def15;
    private String def16;
    private String def17;
    private String def18;
    private String def19;
    private String def2;
    private String def20;
    private String def21;
    private String def22;
    private String def23;
    private String def24;
    private String def25;
    private String def26;
    private String def27;
    private String def28;
    private String def29;
    private String def3;
    private String def30;
    private String def4;
    private String def5;
    private String def6;
    private String def7;
    private String def8;
    private String def9;
    private String developdate;
    private String diffcurrflag;
    private String discountrate;
    private Long dr;
    private String freeofacclmtcheck;
    private String freeofcremnycheck;
    private String frozendate;
    private String frozenflag;
    private Long grade;
    private Long innerctldays;
    private String iounit;
    private String isagent;
    private String ispromtesettlement;
    private String linkman;
    private String memo;
    private String mobilephone;
    private String modifier;
    private String modifytime;
    private String ordawmny;
    private String pkCalbody;
    private String pkCorp;
    private String pkCubasdoc;
    private String pkCumandoc;
    private String pkCurrtype1;
    private String pkCusmandoc2;
    private String pkCusmandoc3;
    private String pkDefbusitype;
    private String pkPayterm;
    private String pkPricegroupcorp;
    private String pkRespdept1;
    private String pkResppsn1;
    private String pkSalestru;
    private String pkSendtype;
    private String pkSettleunit;
    private String pkStordoc2;
    private Long prepaidratio;
    private String ratifydate;
    private String sealflag;
    private Long stockpriceratio;
    private String testsalemoney;
    private String ts;
    private String custcode;

    public String getCustcode() {
        return custcode;
    }

    public void setCustcode(String custcode) {
        this.custcode = custcode;
    }

    /**
     * 多个custflag值查询
     */
    private String custflags;

    public String getCustflags() {
        return custflags;
    }

    public void setCustflags(String custflags) {
        this.custflags = custflags;
    }

    public String getAccawmny() {
        return accawmny;
    }

    public void setAccawmny(String accawmny) {
        this.accawmny = accawmny;
    }

    public String getAcclimit() {
        return acclimit;
    }

    public void setAcclimit(String acclimit) {
        this.acclimit = acclimit;
    }

    public String getAcclimitcontrol() {
        return acclimitcontrol;
    }

    public void setAcclimitcontrol(String acclimitcontrol) {
        this.acclimitcontrol = acclimitcontrol;
    }

    public String getAcclmtbegindate() {
        return acclmtbegindate;
    }

    public void setAcclmtbegindate(String acclmtbegindate) {
        this.acclmtbegindate = acclmtbegindate;
    }

    public String getBalancemny() {
        return balancemny;
    }

    public void setBalancemny(String balancemny) {
        this.balancemny = balancemny;
    }

    public String getBp() {
        return bp;
    }

    public void setBp(String bp) {
        this.bp = bp;
    }

    public String getBusawmny() {
        return busawmny;
    }

    public void setBusawmny(String busawmny) {
        this.busawmny = busawmny;
    }

    public String getCmnecode() {
        return cmnecode;
    }

    public void setCmnecode(String cmnecode) {
        this.cmnecode = cmnecode;
    }

    public String getCooperateflag() {
        return cooperateflag;
    }

    public void setCooperateflag(String cooperateflag) {
        this.cooperateflag = cooperateflag;
    }

    public String getCooperatingdayfrom() {
        return cooperatingdayfrom;
    }

    public void setCooperatingdayfrom(String cooperatingdayfrom) {
        this.cooperatingdayfrom = cooperatingdayfrom;
    }

    public String getCooperatingdayto() {
        return cooperatingdayto;
    }

    public void setCooperatingdayto(String cooperatingdayto) {
        this.cooperatingdayto = cooperatingdayto;
    }

    public String getCorrespsettleunit() {
        return correspsettleunit;
    }

    public void setCorrespsettleunit(String correspsettleunit) {
        this.correspsettleunit = correspsettleunit;
    }

    public String getCreatetime() {
        return createtime;
    }

    public void setCreatetime(String createtime) {
        this.createtime = createtime;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getCreditcontrol() {
        return creditcontrol;
    }

    public void setCreditcontrol(String creditcontrol) {
        this.creditcontrol = creditcontrol;
    }

    public String getCreditlevel() {
        return creditlevel;
    }

    public void setCreditlevel(String creditlevel) {
        this.creditlevel = creditlevel;
    }

    public String getCreditlimitnum() {
        return creditlimitnum;
    }

    public void setCreditlimitnum(String creditlimitnum) {
        this.creditlimitnum = creditlimitnum;
    }

    public String getCreditmny() {
        return creditmny;
    }

    public void setCreditmny(String creditmny) {
        this.creditmny = creditmny;
    }

    public String getCreditmoney() {
        return creditmoney;
    }

    public void setCreditmoney(String creditmoney) {
        this.creditmoney = creditmoney;
    }

    public Long getCredlimitflag() {
        return credlimitflag;
    }

    public void setCredlimitflag(Long credlimitflag) {
        this.credlimitflag = credlimitflag;
    }

    public String getCustflag() {
        return custflag;
    }

    public void setCustflag(String custflag) {
        this.custflag = custflag;
    }

    public Long getCuststate() {
        return custstate;
    }

    public void setCuststate(Long custstate) {
        this.custstate = custstate;
    }

    public String getDef1() {
        return def1;
    }

    public void setDef1(String def1) {
        this.def1 = def1;
    }

    public String getDef10() {
        return def10;
    }

    public void setDef10(String def10) {
        this.def10 = def10;
    }

    public String getDef11() {
        return def11;
    }

    public void setDef11(String def11) {
        this.def11 = def11;
    }

    public String getDef12() {
        return def12;
    }

    public void setDef12(String def12) {
        this.def12 = def12;
    }

    public String getDef13() {
        return def13;
    }

    public void setDef13(String def13) {
        this.def13 = def13;
    }

    public String getDef14() {
        return def14;
    }

    public void setDef14(String def14) {
        this.def14 = def14;
    }

    public String getDef15() {
        return def15;
    }

    public void setDef15(String def15) {
        this.def15 = def15;
    }

    public String getDef16() {
        return def16;
    }

    public void setDef16(String def16) {
        this.def16 = def16;
    }

    public String getDef17() {
        return def17;
    }

    public void setDef17(String def17) {
        this.def17 = def17;
    }

    public String getDef18() {
        return def18;
    }

    public void setDef18(String def18) {
        this.def18 = def18;
    }

    public String getDef19() {
        return def19;
    }

    public void setDef19(String def19) {
        this.def19 = def19;
    }

    public String getDef2() {
        return def2;
    }

    public void setDef2(String def2) {
        this.def2 = def2;
    }

    public String getDef20() {
        return def20;
    }

    public void setDef20(String def20) {
        this.def20 = def20;
    }

    public String getDef21() {
        return def21;
    }

    public void setDef21(String def21) {
        this.def21 = def21;
    }

    public String getDef22() {
        return def22;
    }

    public void setDef22(String def22) {
        this.def22 = def22;
    }

    public String getDef23() {
        return def23;
    }

    public void setDef23(String def23) {
        this.def23 = def23;
    }

    public String getDef24() {
        return def24;
    }

    public void setDef24(String def24) {
        this.def24 = def24;
    }

    public String getDef25() {
        return def25;
    }

    public void setDef25(String def25) {
        this.def25 = def25;
    }

    public String getDef26() {
        return def26;
    }

    public void setDef26(String def26) {
        this.def26 = def26;
    }

    public String getDef27() {
        return def27;
    }

    public void setDef27(String def27) {
        this.def27 = def27;
    }

    public String getDef28() {
        return def28;
    }

    public void setDef28(String def28) {
        this.def28 = def28;
    }

    public String getDef29() {
        return def29;
    }

    public void setDef29(String def29) {
        this.def29 = def29;
    }

    public String getDef3() {
        return def3;
    }

    public void setDef3(String def3) {
        this.def3 = def3;
    }

    public String getDef30() {
        return def30;
    }

    public void setDef30(String def30) {
        this.def30 = def30;
    }

    public String getDef4() {
        return def4;
    }

    public void setDef4(String def4) {
        this.def4 = def4;
    }

    public String getDef5() {
        return def5;
    }

    public void setDef5(String def5) {
        this.def5 = def5;
    }

    public String getDef6() {
        return def6;
    }

    public void setDef6(String def6) {
        this.def6 = def6;
    }

    public String getDef7() {
        return def7;
    }

    public void setDef7(String def7) {
        this.def7 = def7;
    }

    public String getDef8() {
        return def8;
    }

    public void setDef8(String def8) {
        this.def8 = def8;
    }

    public String getDef9() {
        return def9;
    }

    public void setDef9(String def9) {
        this.def9 = def9;
    }

    public String getDevelopdate() {
        return developdate;
    }

    public void setDevelopdate(String developdate) {
        this.developdate = developdate;
    }

    public String getDiffcurrflag() {
        return diffcurrflag;
    }

    public void setDiffcurrflag(String diffcurrflag) {
        this.diffcurrflag = diffcurrflag;
    }

    public String getDiscountrate() {
        return discountrate;
    }

    public void setDiscountrate(String discountrate) {
        this.discountrate = discountrate;
    }

    public Long getDr() {
        return dr;
    }

    public void setDr(Long dr) {
        this.dr = dr;
    }

    public String getFreeofacclmtcheck() {
        return freeofacclmtcheck;
    }

    public void setFreeofacclmtcheck(String freeofacclmtcheck) {
        this.freeofacclmtcheck = freeofacclmtcheck;
    }

    public String getFreeofcremnycheck() {
        return freeofcremnycheck;
    }

    public void setFreeofcremnycheck(String freeofcremnycheck) {
        this.freeofcremnycheck = freeofcremnycheck;
    }

    public String getFrozendate() {
        return frozendate;
    }

    public void setFrozendate(String frozendate) {
        this.frozendate = frozendate;
    }

    public String getFrozenflag() {
        return frozenflag;
    }

    public void setFrozenflag(String frozenflag) {
        this.frozenflag = frozenflag;
    }

    public Long getGrade() {
        return grade;
    }

    public void setGrade(Long grade) {
        this.grade = grade;
    }

    public Long getInnerctldays() {
        return innerctldays;
    }

    public void setInnerctldays(Long innerctldays) {
        this.innerctldays = innerctldays;
    }

    public String getIounit() {
        return iounit;
    }

    public void setIounit(String iounit) {
        this.iounit = iounit;
    }

    public String getIsagent() {
        return isagent;
    }

    public void setIsagent(String isagent) {
        this.isagent = isagent;
    }

    public String getIspromtesettlement() {
        return ispromtesettlement;
    }

    public void setIspromtesettlement(String ispromtesettlement) {
        this.ispromtesettlement = ispromtesettlement;
    }

    public String getLinkman() {
        return linkman;
    }

    public void setLinkman(String linkman) {
        this.linkman = linkman;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }

    public String getMobilephone() {
        return mobilephone;
    }

    public void setMobilephone(String mobilephone) {
        this.mobilephone = mobilephone;
    }

    public String getModifier() {
        return modifier;
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    public String getModifytime() {
        return modifytime;
    }

    public void setModifytime(String modifytime) {
        this.modifytime = modifytime;
    }

    public String getOrdawmny() {
        return ordawmny;
    }

    public void setOrdawmny(String ordawmny) {
        this.ordawmny = ordawmny;
    }

    public String getPkCalbody() {
        return pkCalbody;
    }

    public void setPkCalbody(String pkCalbody) {
        this.pkCalbody = pkCalbody;
    }

    public String getPkCorp() {
        return pkCorp;
    }

    public void setPkCorp(String pkCorp) {
        this.pkCorp = pkCorp;
    }

    public String getPkCubasdoc() {
        return pkCubasdoc;
    }

    public void setPkCubasdoc(String pkCubasdoc) {
        this.pkCubasdoc = pkCubasdoc;
    }

    public String getPkCumandoc() {
        return pkCumandoc;
    }

    public void setPkCumandoc(String pkCumandoc) {
        this.pkCumandoc = pkCumandoc;
    }

    public String getPkCurrtype1() {
        return pkCurrtype1;
    }

    public void setPkCurrtype1(String pkCurrtype1) {
        this.pkCurrtype1 = pkCurrtype1;
    }

    public String getPkCusmandoc2() {
        return pkCusmandoc2;
    }

    public void setPkCusmandoc2(String pkCusmandoc2) {
        this.pkCusmandoc2 = pkCusmandoc2;
    }

    public String getPkCusmandoc3() {
        return pkCusmandoc3;
    }

    public void setPkCusmandoc3(String pkCusmandoc3) {
        this.pkCusmandoc3 = pkCusmandoc3;
    }

    public String getPkDefbusitype() {
        return pkDefbusitype;
    }

    public void setPkDefbusitype(String pkDefbusitype) {
        this.pkDefbusitype = pkDefbusitype;
    }

    public String getPkPayterm() {
        return pkPayterm;
    }

    public void setPkPayterm(String pkPayterm) {
        this.pkPayterm = pkPayterm;
    }

    public String getPkPricegroupcorp() {
        return pkPricegroupcorp;
    }

    public void setPkPricegroupcorp(String pkPricegroupcorp) {
        this.pkPricegroupcorp = pkPricegroupcorp;
    }

    public String getPkRespdept1() {
        return pkRespdept1;
    }

    public void setPkRespdept1(String pkRespdept1) {
        this.pkRespdept1 = pkRespdept1;
    }

    public String getPkResppsn1() {
        return pkResppsn1;
    }

    public void setPkResppsn1(String pkResppsn1) {
        this.pkResppsn1 = pkResppsn1;
    }

    public String getPkSalestru() {
        return pkSalestru;
    }

    public void setPkSalestru(String pkSalestru) {
        this.pkSalestru = pkSalestru;
    }

    public String getPkSendtype() {
        return pkSendtype;
    }

    public void setPkSendtype(String pkSendtype) {
        this.pkSendtype = pkSendtype;
    }

    public String getPkSettleunit() {
        return pkSettleunit;
    }

    public void setPkSettleunit(String pkSettleunit) {
        this.pkSettleunit = pkSettleunit;
    }

    public String getPkStordoc2() {
        return pkStordoc2;
    }

    public void setPkStordoc2(String pkStordoc2) {
        this.pkStordoc2 = pkStordoc2;
    }

    public Long getPrepaidratio() {
        return prepaidratio;
    }

    public void setPrepaidratio(Long prepaidratio) {
        this.prepaidratio = prepaidratio;
    }

    public String getRatifydate() {
        return ratifydate;
    }

    public void setRatifydate(String ratifydate) {
        this.ratifydate = ratifydate;
    }

    public String getSealflag() {
        return sealflag;
    }

    public void setSealflag(String sealflag) {
        this.sealflag = sealflag;
    }

    public Long getStockpriceratio() {
        return stockpriceratio;
    }

    public void setStockpriceratio(Long stockpriceratio) {
        this.stockpriceratio = stockpriceratio;
    }

    public String getTestsalemoney() {
        return testsalemoney;
    }

    public void setTestsalemoney(String testsalemoney) {
        this.testsalemoney = testsalemoney;
    }

    public String getTs() {
        return ts;
    }

    public void setTs(String ts) {
        this.ts = ts;
    }

}

